﻿// IPresto.cs
//
// PRESTO Starter Kit for Microsoft .NET 3.0
// 2007 Microsoft France
// Published under the CECILL-B Free Software license agreement.
// (http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt)
// 
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// WHETHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED 
// WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE. 
// THE ENTIRE RISK OF USE OR RESULTS IN CONNECTION WITH THE USE OF THIS CODE 
// AND INFORMATION REMAINS WITH THE USER. 
//

using System.Runtime.Serialization;
using System.ServiceModel.Channels;
using System.ServiceModel;
using System.Xml.Serialization;

[assembly: ContractNamespaceAttribute("http://dgme.finances.gouv.fr/presto", ClrNamespace = "dgme.finances.gouv.fr.presto")]
namespace dgme.finances.gouv.fr.presto
{
//    [ServiceContractAttribute(Namespace = "http://dgme.finances.gouv.fr/presto", SessionMode = SessionMode.Required)]
    [ServiceContractAttribute(Namespace = "http://dgme.finances.gouv.fr/presto")]
    public interface IPresto
    {
//        [OperationContract(Action = "http://dgme.finances.gouv.fr/presto/submitOneWay", IsOneWay = true, IsTerminating = true)]
        [OperationContract(Action = "http://dgme.finances.gouv.fr/presto/submitOneWay", IsOneWay = true)]
        [XmlSerializerFormatAttribute()]
        void submitOneWay(submit1WayMessage message);
    }

//    [ServiceContractAttribute(Namespace = "http://dgme.finances.gouv.fr/presto",SessionMode=SessionMode.Required)]
   [ServiceContractAttribute(Namespace = "http://dgme.finances.gouv.fr/presto")]
    
    public interface IPresto2
    {
//        [OperationContract(Action = "http://dgme.finances.gouv.fr/presto/submit", ReplyAction = "*",IsTerminating = true)]
        [OperationContract(Action = "http://dgme.finances.gouv.fr/presto/submit", ReplyAction = "*")]
        [XmlSerializerFormatAttribute()]
        submitResponseMessage submit(submitRequestMessage request);
    }
}